## logtrend-linuxagent 0.82.2-1

=== debian/changelog ===
logtrend-linuxagent (0.82.2-1) unstable; urgency=low

  * New upstream version.
  * Fixed some dependencies problems.
  * Added new perl library package: liblogtrend-crypto-perl for crypto
    supports.
  * Fixed return value problem in generic agent code (Agent.pm::New).
  * Fixed init return value handeling.
  * Fixed documentation path.
  * Fixed spelling in agentdescr (closes: #140775).
  * Fixed access right for /etc/logtrend/keys

 -- Jean-Francois Dive <jef@debian.org>  Wed, 24 Jul 2002 14:41:53 +1000

logtrend-linuxagent (0.81-4) unstable; urgency=low

  * New Maintainer (closes: #134847).
  * Fixed LinuxAgent Description (closes: #135473).
  * Fixed agentDescr Description (closes: #133985).
  * Fixed short description field lenght (closes: #130985).
  * Interim release, new upstream version integration is pending on crypto
    integration in main.

 -- Jean-Francois Dive <jef@linuxbe.org>  Wed, 27 Mar 2002 13:54:31 +1100

logtrend-linuxagent (0.81-3) unstable; urgency=low

  * Orphaned becouse I'll no loger use this

 -- Maurizio Boriani <baux@debian.org>  Tue, 19 Feb 2002 13:26:33 +0100

logtrend-linuxagent (0.81-2) unstable; urgency=low

  * Fixed description (closes: Bug#128202, Bug#128209, Bug#128214, Bug#128215)

 -- Maurizio Boriani <baux@debian.org>  Tue,  8 Jan 2002 11:16:48 +0100

logtrend-linuxagent (0.81-1) unstable; urgency=low

  * Initial Release.

 -- Maurizio Boriani <baux@debian.org>  Tue,  4 Dec 2001 18:21:07 +0100
