=== debian/control ===
Source: logtrend-linuxagent
Section: net
Priority: optional
Maintainer: Jean-Francois Dive <jef@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: logtrend-linuxagent
Section: net
Architecture: any
Depends: ${perl:Depends}, liblogtrend-agent-perl (>= 0.82.2-1), logtrend-agentdescr (>= 0.82.2-1), libwww-perl, libtime-hires-perl, liblogtrend-crypto-perl
Description: Perl daemon for linux box monitoring
 This agent collects general information and manages alarms about 
 the state of the linux system it is installed on. It send them back 
 to the storage-server. Available information are cpu , mem usage, load 
 average, processes activity, etc.

Package: liblogtrend-action-perl
Section: net
Architecture: any
Depends: ${perl:Depends}, libxml-dom-perl, libmailtools-perl, libnet-perl
Description: Perl module for logtrend agents
 This package contains modules with common objects useful to
 logtrend agents. This objects allow agents take some kind of
 action, for example, send e-mail, send SMS and so on.

Package: liblogtrend-agent-perl
Section: net
Architecture: any
Depends: ${perl:Depends}, liblogtrend-action-perl (>= 0.82-2.1), liblogtrend-common-perl (>= 0.82.2-1), libio-stringy-perl, libmime-perl, libdbi-perl, libdbd-pg-perl
Description: Perl modules for logtrend agents
 This package contains module with common object which are useful for most 
 of agents.

Package: liblogtrend-crypto-perl
Section: net
Architecture: any
Depends: ${perl:Depends}, liblogtrend-common-perl (>= 0.82.2-1), libgnupg-interface-perl
Description: Crypto perl module for logtrend agent
 This package contains module with common crypto objects used by most of agents.
 The communication between the agent the DB is encrypted, signed and 
 authenticated using gnupg interface.
 
Package: logtrend-agentdescr
Section: net
Architecture: any
Depends: ${perl:Depends}, liblogtrend-agent-perl, liberror-perl
Description: Perl utils for logtrend agents
 This package contains a script which registers an agent to the database
 server.
